#version 330 core
struct Material {
    sampler2D diffuse_tex;
    sampler2D specular_tex;
    float shininess;
}; 

in vec2 TexCoord;

out vec4 color;
uniform Material material;

void main()
{
    color = texture(material.diffuse_tex, TexCoord);	
}