#version 330 core
layout (location = 0) in vec3 position; 
layout (location = 1) in vec2 texCoord;

out vec2 TexCoord;
out vec4 outLightPos; 

// Transformationsmatrix:
uniform mat4 matWorldViewProjection;
uniform mat4 model;
uniform vec3 lightPos;

void main()
{	
    gl_Position = matWorldViewProjection * vec4(position, 1.0);
	outLightPos = model *  vec4(lightPos, 1.0);
    TexCoord = texCoord;
}
